

Partial Public Class dsPreise
    Partial Class _grartikel_kundenpreisDataTable

        Private Sub _grartikel_kundenpreisDataTable_ColumnChanging(sender As Object, e As DataColumnChangeEventArgs) Handles Me.ColumnChanging
            Try


                If (e.Column.ColumnName = VKPreisBruttoColumn.ColumnName) Then
                    e.Row.Item("VKPreis") = Math.Round(e.ProposedValue * 100 / (100 + e.Row.Item("MWST")), 4)
                End If

            Catch ex As Exception

            End Try

        End Sub

    End Class

    Partial Class _grartikel_vkpreisperselectionDataTable

        Private Sub _grartikel_vkpreisperselectionDataTable_ColumnChanging(sender As Object, e As DataColumnChangeEventArgs) Handles Me.ColumnChanging
            Try

                If (e.Column.ColumnName = VKPreisBruttoColumn.ColumnName) Then
                    e.Row.Item("VKPreis") = Math.Round(e.ProposedValue * 100 / (100 + e.Row.Item("MWST")), 4)
                End If

            Catch ex As Exception

            End Try

        End Sub

    End Class

End Class

